Get an alert
One alert and every delivery attempt made for it, oldest first.
curl -X GET "https://mythic-analytics.gulp.workers.dev/client/v1/alerts/events/123e4567-e89b-12d3-a456-426614174000" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN"
import requests
import json
url = "https://mythic-analytics.gulp.workers.dev/client/v1/alerts/events/123e4567-e89b-12d3-a456-426614174000"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://mythic-analytics.gulp.workers.dev/client/v1/alerts/events/123e4567-e89b-12d3-a456-426614174000", {
method: "GET",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://mythic-analytics.gulp.workers.dev/client/v1/alerts/events/123e4567-e89b-12d3-a456-426614174000", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://mythic-analytics.gulp.workers.dev/client/v1/alerts/events/123e4567-e89b-12d3-a456-426614174000')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
response = http.request(request)
puts response.body
{
"success": true,
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"source": "contracts",
"fingerprint": "uptime:loc_abc123:spring-sale",
"location_id": "example_string",
"severity": "info",
"title": "Short link /spring-sale is down",
"detail": "example_string",
"payload": {},
"status": "open",
"occurrences": 42,
"opened_at": "2024-12-25T10:00:00Z",
"last_seen_at": "2024-12-25T10:00:00Z",
"resolved_at": "2024-12-25T10:00:00Z",
"resolved_by": "source",
"deliveries": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"channel_id": "123e4567-e89b-12d3-a456-426614174000",
"rule_id": "123e4567-e89b-12d3-a456-426614174000",
"transition": "opened",
"ok": true,
"http_status": 42,
"error": "example_string",
"created_at": "2024-12-25T10:00:00Z"
}
]
}
}
{
"error": "Unauthorized",
"message": "Authentication required. Please provide a valid API token",
"code": 401
}
{
"error": "Forbidden",
"message": "You don't have permission to access this resource",
"code": 403
}
{
"error": "Not Found",
"message": "The requested resource was not found",
"code": 404
}
GET
/client/v1/alerts/events/{id}GET
Base URLstring
Target server for requests. Edit to use your own host.
Bearer Token
Bearer Tokenstring
RequiredAgency key (ak_) only; a location secret key (sk_) gets 403 agency_required. Agency-wide scoped keys (mcp_) are accepted and need alerts:read or alerts:write. Keys are server-side credentials; this surface serves no CORS headers.
Agency key (
ak_) only; a location secret key (sk_) gets 403 agency_required. Agency-wide scoped keys (mcp_) are accepted and need alerts:read or alerts:write. Keys are server-side credentials; this surface serves no CORS headers.path
idstring
RequiredFormat: uuid
Request Preview
Response
Response will appear here after sending the request
Authentication
header
Authorizationstring
RequiredBearer token. Agency key (ak_) only; a location secret key (sk_) gets 403 agency_required. Agency-wide scoped keys (mcp_) are accepted and need alerts:read or alerts:write. Keys are server-side credentials; this surface serves no CORS headers.
Path Parameters
Responses
successboolean
datastring
Was this page helpful?